Bug 798090 - client timeout uses server-side "read_timeout", not "request_timeout"
Summary: client timeout uses server-side "read_timeout", not "request_timeout"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: squid
Version: 6.2
Hardware: All
OS: All
medium
high
Target Milestone: rc
: ---
Assignee: Michal Luscon
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
: 877036 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-28 02:35 UTC by HONDA Hirofumi
Modified: 2018-11-29 19:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:39:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix httpAccept() to timeout defined by "request_time" (668 bytes, patch)
2012-02-28 02:35 UTC, HONDA Hirofumi
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0505 normal SHIPPED_LIVE Moderate: squid security and bug fix update 2013-02-20 21:30:33 UTC

Description HONDA Hirofumi 2012-02-28 02:35:32 UTC
Created attachment 566184 [details]
Fix httpAccept() to timeout defined by "request_time"

Description of problem:

client-side http timeout should be defined by "request_timeout", but squid-3.1.x and later, defined by "read_timeout".

Version-Release number of selected component (if applicable):

squid-3.1.10-1.el6_2.2

How reproducible:

Steps to Reproduce:
1. start squid (default settings)
2. exec "time telnet localhost 3128"
3.
  
Actual results:
Timeout by 15 minutes ("read_timeout" default value).

$ time telnet localhost 3128
Trying 127.0.0.1...
Connected to localhost.localdomain (127.0.0.1).
Escape character is '^]'.
Connection closed by foreign host.

real	15m0.910s
user	0m0.001s
sys	0m0.012s

Expected results:
Timeout by 5 minutes ("request_timeout" default value).

$ time telnet localhost 3128
Trying 127.0.0.1...
Connected to localhost.localdomain (127.0.0.1).
Escape character is '^]'.
Connection closed by foreign host.

real	5m0.107s
user	0m0.001s
sys	0m0.007s

Additional info:
Patch to src/client_side.cc attached which fixes this.

Original post:
Bug 3502 - client-side http timeout isn't defined by "request_timeout"
http://bugs.squid-cache.org/show_bug.cgi?id=3502

Comment 1 HONDA Hirofumi 2012-03-01 01:00:33 UTC
This problem fixed at squid-3.HEAD-r12065.

http://www.squid-cache.org/Versions/v3/3.HEAD/changesets/squid-3-12065.patch

Comment 2 Jiri Skala 2012-03-01 07:06:52 UTC
Hi,
thanks for info, patch and putting upstream. Great job!

Jiri

Comment 7 errata-xmlrpc 2013-02-21 08:39:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0505.html

Comment 8 Michal Luscon 2013-03-28 10:32:51 UTC
*** Bug 877036 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.